"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = require("lodash");

const extractMsg = v => typeof v === 'object' ? v.msg : v;

const mapErrors = errors => Object.entries(errors).reduce((acc, [key, value]) => (0, _lodash.setWith)(acc, key, extractMsg(value)), {});

var _default = () => ({
  onStart(actions = {}) {
    if ('setSubmitting' in actions) {
      actions.setSubmitting(true);
    }
  },

  onComplete(err, actions) {
    if (typeof actions === 'object') {
      actions.setSubmitting(false);

      if (!err || !err.errors) {
        actions.resetForm();
      } else {
        const {
          errors = []
        } = err;
        actions.setErrors(mapErrors(errors));
        Object.assign(actions, {
          isTouched: true
        });
      }
    }
  }

});

exports.default = _default;